Subject: bug#25573: Adding btrfs support may break reconfigured system

From: Alex Kost <[email-masked]>
Date: Tue, 31 Jan 2017 20:29:45 +0300

Ludovic Courtès (2017-01-30 10:41 +0100) wrote:

> Hi,
>
> Alex Kost <[email-masked]> skribis:
>
>> Hello, recently I found that "guix system" makes a "broken" system for
>> me.  When I boot a freshly created system, I get something like this:
>>
>>   In procedure <...> at ./gnu/build/file-systems.scm:282:4 (device)
>>   In procedure fport_seek: Invalid argument
>>
>> and I'm thrown at the Guile promt.
>
> I think this is due to ‘read-superblock’ trying to seek beyond the end
> of one of the devices that’s on your machine.
>
> Could you try the attached patch and see if it solves the problem?

Yes, guix makes a bootable system with this modification, thank you!

> Thanks for reporting it!

Thanks for fixing it! :-)

-- 
Alex